<?php
/*
 * Workshop用に改変しました
 * 2015/04/28
 * 岩手県立総合教育センター　　企画担当　奥田昌夫
 * 
 * ↓利用させていただきました。ありがとうございます。

 * 
 * jQuery CHAT v.1.00
 * Copyright(C)2014 STUDIO KEY Allright reserved.
 * http://studio-key.com
 * MIT License
 */


define('SQLITE','db/chat.sqlite');


/*********************************************
// データの読み込み
*********************************************/
function p_DataListUp(){
	$roomID ="001";
	//$roomID = date("Ymd").$roomID;                           
	//... DB接続
	$myLink = new PDO('sqlite:db/chat.sqlite');
	//... SQL実行
	$res=$myLink->query("SELECT * FROM chat_log WHERE room_id = '".$roomID."'");
	//... データの取り出し
	/////////////////////////////////////////////
	$myLoop =0;
	while($rows= $res->fetch(PDO::FETCH_ASSOC) ){
		if($rows['chat_unique']!="ADMIN"){
		if($rows['chat_type']=="IMG"){
			//　・・・・・・・・・・・・・・・画像の場合
			echo "<div id ='img' class='groupA'>";
			echo "<img src='upload/t_".$rows['str']."'>\r\n";
			echo "</br><font size = -2 color='#666666'>".$rows['chat_name']."</font>\r\n";
			echo "</div>";
		}elseif($rows['chat_type']=="STUMP"){
			//　・・・・・・・・・・・・・・・スタンプの場合
			//echo "<div id ='img' bgcolor=\"".$myColor."\" class='groupA'>";
			echo "<div id ='img' class='groupA'>";
			echo "<img src='stump/img/".$rows['str']."'>\r\n";
			echo "</br><font size = -2 color='#666666'>".$rows['chat_name']."</font>\r\n";
			echo "</div>";
		}elseif($rows['chat_type']=="GMAP"){
			//　・・・・・・・・・・・・・・・Gマップの場合
			//echo "<div id ='lnk' bgcolor=\"".$myColor."\" class='groupA'>";
			echo "<div id ='lnk'  class='groupA'>";
			echo "<a href='gmap.php?map=".$rows['str']."' target='_blank'>いまここ</a>\r\n";
			echo "</br><font size = -2 color='#666666'>".$rows['chat_name']."</font>\r\n";
			echo "</div>";
		}else{
			//　・・・・・・・・・・・・・・・文字の場合
			//echo "<div id ='txt' bgcolor=\"".$myColor."\" class='groupA'>";
			echo "<div id ='txt' style='color:" .$rows['log_color']. " ; background-color:" .$rows['name_color'].  "' class='groupA'>";
			echo $rows['str']."\r\n";
			echo "</br><font size = -2 color='#666666'>".$rows['chat_name']."</font>\r\n";
			echo "</div>";
		};
		};
	};
	//... DB接続解除
	$myLink= null;
};


/*********************************************
// ここまで
*********************************************/
?>


<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>ワークショップ管理者</title>
<link rel="apple-touch-icon" href="workshop2-admin-icon.png"/>
<script src="common/js/jquery.min.js"></script>
<script src="common/js/jquery-ui.min.js"></script>
<script src="common/js/jquery.ui.touch-punch.js"></script>
<script>
// 以下Javascript
var roomID ="001";
 // 日付で固有IDにする　利用しない
/*
	// Dateオブジェクトを生成
	date_now = new Date();
	// 年を取得
	y = date_now.getFullYear();
	// 月を取得
	m = date_now.getMonth() + 1;
	if(m<10){ m = "0"+m };
	// 日を取得
	d = date_now.getDate();
	if(d<10){ d = "0"+d };
	roomID = "" + y + m + d +roomID;
*/


/*********************************************
// ドラッグ可能にする
*********************************************/
$(function(){
	$("div").draggable({
		opacity: 0.5,      //半透明
		stack: ".groupA",  //最前面に出す
		// ドラッグ開始時に実行される
		start: function() {
			$(this).css('border-width', '8px');
		},
		// ドラッグ終了時に実行される
		stop: function() {
			if( this.id =="txt"){
				$(this).css('border-width', '1px');
			}else{
				$(this).css('border-width', '0px');
			};
		}
	});
	
	//カードを整列
	Data_Set();
	
});

/*********************************************
// 左端のカードを重ねて整列表示    このファンクションは使われていません
*********************************************/
/*
function Card_sort(){
	$myTop =40;
	$("div").each(function(){
		dataL = $(this).offset();
		if(dataL.left < 20){
			$(this).offset( {top : $myTop, left:dataL.left});
			$myTop = $myTop +10;
		};
		
	});
};
*/


/*********************************************
// 最新データに更新
*********************************************/
function Data_Reload(){
	//Data_Save();
	location.href = "admin.php";
};

/*********************************************
// 保存した位置にカードを移動
*********************************************/
function Data_Set(){
	var myTop =40;
	/*********************************************
	// Ajaxで座標を取得 GET JSON
	*********************************************/
	// *********接続
	$.ajax({
		type: 'POST',
		url: 'common/php/admin_locate.php',
		dataType: 'json',
		scriptCharset: 'utf-8',
		success: function(json){
			var jsonLength = json.length;
			var myCounter  = 0;
			$("div").each(function(){
	    		if(myCounter < jsonLength){
					// 左端のカードは整列
					if(Number(json[myCounter].x) < 20){
						dataL = $(this).offset();
						$(this).offset( {top : myTop, left:json[myCounter].x});
						$(this).css({'z-index': json[myCounter].z});
						myTop = myTop +30;
					}else{
						$(this).offset( {top : json[myCounter].y, left :json[myCounter].x});
						$(this).css({'z-index': json[myCounter].z});
					};
				}else{
					// 左端のカードは整列
					dataL = $(this).offset();
					if((dataL.left) < 20){
						$(this).offset( {top : myTop, left:dataL.left});
						$(this).css({'z-index': json[myCounter].z});
						myTop = myTop +30;
					};
				};
				myCounter++;
			});
  		}
	});
};


/*********************************************
// カードの位置の保存
*********************************************/
function Data_Save(){
  //if (confirm("カードの位置を保存しますか？")==true){
  // OK なら保存する
	var myTop =40;
	// 各フィールドから値を取得してJSONデータを作成
	var data = []; 
	var myCounter  = 0;
	$("div").each(function(){
		LocateA = $(this).offset();
		LocateX = String(Math.round(LocateA.left));
		LocateY = String(Math.round(LocateA.top));
		LocateZ = String($(this).css('z-index'));
		
		data[myCounter]= {"x": LocateX, "y": LocateY ,"z": LocateZ ,"room_id": roomID};
		myCounter++;
	});

	
	send_data= JSON.stringify(data);  // 送るデータ形式はJSON
	
    // *********接続
	$.ajax({
		url: 'common/php/admin_locate.php',
		type: 'POST',
		contentType: "Content-Type: application/json; charset=UTF-8",
		data: send_data,  // JSONデータ本体
		scriptCharset: 'utf-8',
		success: function(json){
			/*
			var jsonLength = json.length;
			var myCounter  = 0;
			$("div").each(function(){
	    		if(myCounter < jsonLength){
					// 左端のカードは整列
					if(Number(json[myCounter].x) < 20){
						dataL = $(this).offset();
						$(this).offset( {top : myTop, left:json[myCounter].x});
						myTop = myTop +30;
					}else{
						$(this).offset( {top : json[myCounter].y, left :json[myCounter].x });
						$(this).css('z-index')= json[myCounter].z;
					};
				};
				myCounter++;
			})
			*/;
  		}
	});
  //};
}

/*********************************************
// データの削除
*********************************************/
function Data_Delete(){
  if (confirm("データを削除しますか？")==true)
	//OKならジャンプさせる
	location.href = "admin_delete2.php";
}


</script>

<style type="text/css">
<!--
#txt{
	word-break: break-all;
	width: 200px;
	background-color:#EEEEEE;
	padding: 5px;
	margin: 10px 10px 10px 10px;
	border-width: 1px;
	border-color: #ff0000;
	border-style: solid;
	border-radius: 5px;         /* CSS3 */
	-moz-border-radius: 5px;    /* Firefox */
	-webkit-border-radius: 5px; /* Safari,Chrome */
	cursor:move;
}
#lnk{
	word-break: break-all;
	width: 100px;
	background-color:#EEEEEE;
	padding: 5px;
	margin: 10px 10px 10px 10px;
	border-width: 1px;
	border-color: #ff0000;
	border-style: solid;
	border-radius: 5px;         /* CSS3 */
	-moz-border-radius: 5px;    /* Firefox */
	-webkit-border-radius: 5px; /* Safari,Chrome */
	cursor:move;
}
#img{
	padding: 5px;
	width: 100px;
	margin: 10px 10px 10px 10px;
	border-width: 0px;
	border-color: #ff0000;
	border-style: solid;
	cursor:move;
}

 -->
</style>
</head>
<body>
<form>
<font size="1"  color ="#666644">　↓左端のカードは自動整列します　　</font>
<font size="5" color ="#ff4466">Workshopしよう ver2</font>
　　<input type="button"  value="最新データの表示" onclick="Data_Reload()">
　　<input type="button"  value="位置の保存" onclick="Data_Save()">
　　<input type="button"  value="データの削除" onclick="Data_Delete()">
</form>

<?php
p_DataListUp();
?>
</body>
</html>