<?php

/*
 * ルーム指定が無い場合は404
 */
if(!$_GET['room']) notFound();

switch($_GET['room']){
// ROOM 001 ------------------------------
  case '001':
    $room_Title  = 'jQuery CHAT SQlite版 ROOM 001';
    $room_Number = '001';
  break;
// ROOM 002 ------------------------------
  case '002':
    $room_Title  = 'jQuery CHAT SQlite版 ROOM 002';
    $room_Number = '002';
  break;
// ROOM test ------------------------------
  case 'test':
    $room_Title  = 'jQuery CHAT SQlite版 ROOM test';
    $room_Number = 'test';
  break;
//それ以外なら404
  default:
    notFound();
}


function notFound(){
echo <<< HTML
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=0" />
<title>404 NOT FOUND</title>
</head>
<body>
  ご指定のチャットルームは存在しません
</body>
</html> 
HTML;
exit;
}
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=0" />
<title><?php echo $room_Title; ?></title>
<script type="text/javascript" src="common/js/jquery.min.js"></script>
<script type="text/javascript" src="common/js/jquery.cookie.js"></script>
<script type="text/javascript" src="common/js/jquery.chat.js"></script>
<link href="common/css/style.css" rel="stylesheet" type="text/css">
</head>

<body>
<div id="loader"><img src="common/images/loader.gif" /></div><div id="fade"></div>
<div id="container">
  <div id="logo" class="pc">
    <div id="lg_left"><?php echo $room_Title; ?></div>
    <div id="lg_right">
          <a href="#" id="system"><img src="common/images/sys.png" /></a>
          <a href="#" id="logof"><img src="common/images/logof.png" /></a>
    </div>
  </div>
  <div id="header" class="pc">
    <a href="#" id="map"><img src="common/images/map.png" /></a>
    <a href="#" id="stump"><img src="common/images/stump.png" /></a>
    <a href="#" id="custom"><img src="common/images/color.png" /></a>
    <a href="#" id="setup"><img src="common/images/sys.png" /></a>
  </div>
  
  <div id="log" data-lasthash="" data-slide="on">
    <ul></ul>
  </div>
</div>
  
<script type="text/javascript">
   $(function(){
      $('#container').jqueryChat({
        'room_id'    : '<?php echo $room_Number; ?>', //部屋ID
        'reload'     : 10000,         //更新秒数 default:10000(10秒)
        'readlog'    : true,          //HTMLを更新(初見も)時にログを見せるかどうか
        'delcookie'  : false,         //HTMLを更新時にcookieに記録している名前を消すかどうか
        'bt_name'    : 'お名前を送信', //入室ボタンの名前
        'bt_chat'    : '書き込むよ!',  //書き込みボタンの名前
        'mes_logout' : '退室するの(´・ω・`)?', //退室アラートのメッセージ
        'err_name'   : 'お名前を書いてね!',      //名前未記入時のエラーメッセージ
        'err_upload' : 'アップロード失敗したみたい(´・ω・`)', //ファイルアップロードに失敗したときのメッセージ
        'err_write'  : '何も書いてないよ(´・ω・`)?',  //チャット未記入時のエラーメッセージ
        'err_wnig'   : '何かエラーぽい(´・ω・`)',     //よく判らないときのメッセージ
        'log_login'  : true,           //ログイン時に管理人メッセージを記録するかどうか
        'login'      : 'さんがきたっ',  //↑有効のとき、名前の後に付くメッセージ
        'log_logof'  : true,           //ログアウト時に管理人メッセージを記録するかどうか
        'logout'     : 'さんが帰ったみたい(´・ω・`)',//↑有効のとき、名前の後に付くメッセージ
        'flaggmap'   : true, //現在地取得機能を使うかどうか
        'gmap'       : '送信すると貴方の位置情報が相手に知られます。宜しいですか？', //↑その注意文
        'color'      : 'FF0004,0A00FF,FF00D6,2B9700,FF7600,666666' //カラーパレットの色 *#は付けない
      });
   });
</script>

</body>
</html>
